Page 6 of 72 FirstFirst ... 456781656 ... LastLast
Results 51 to 60 of 714

Thread: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

  1. #51
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow New PPA mozillateam/firefox-stable

    Code:
    sudo add-apt-repository ppa:mozillateam/firefox-stable
    Packages in “Firefox Stable Channel Packages”

    firefox - 3.6+nobinonly-0ubuntu1~mfs~karmic1 (changesfile) asac 2010-01-24 Published Karmic Web

    I haven't had a chance to reset my system back to Official Firefox Defaults then test this yet so use at your own risk.
    Last edited by SilverWave; January 26th, 2010 at 03:39 AM.

  2. #52
    Join Date
    Jan 2010
    Beans
    1

    Re: New PPA mozillateam/firefox-stable

    Quote Originally Posted by SilverWave View Post
    Code:
    sudo add-apt-repository ppa:mozillateam/firefox-stable
    Packages in “Firefox Stable Channel Packages”

    firefox - 3.6+nobinonly-0ubuntu1~mfs~karmic1 (changesfile) asac 2010-01-24 Published Karmic Web
    Tried this on top of stock FF 3.5. Same issue with font hinting as others here have noted.

    I already have the .fonts.conf changes in place, fontconfig reconfigured, etc. Merely switching between stock FF 3.5.7 and FF 3.6 can reproduce the issue.

    ---
    Ubuntu 9.10 (karmic) x86_64
    Gnome 2.28.1
    Kernel 2.6.31-17-generic
    Intel(R) Core(TM)2 Duo CPU, 8GB RAM
    Intel(R) 82Q35 Express Integrated Graphics Controller (rev 02)

  3. #53
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: New PPA mozillateam/firefox-stable

    Quote Originally Posted by jijoejv View Post
    Tried this on top of stock FF 3.5. Same issue with font hinting as others here have noted.

    I already have the .fonts.conf changes in place, fontconfig reconfigured, etc. Merely switching between stock FF 3.5.7 and FF 3.6 can reproduce the issue.

    ---
    Ubuntu 9.10 (karmic) x86_64
    Gnome 2.28.1
    Kernel 2.6.31-17-generic
    Intel(R) Core(TM)2 Duo CPU, 8GB RAM
    Intel(R) 82Q35 Express Integrated Graphics Controller (rev 02)
    As I wanted text to be optimized for display quality I set
    Code:
    browser.display.auto_quality_min_font_size = 0
    Much Much better!

  4. #54
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Firefox: Set highest quality display and legibility settings for all rendered text

    browser.display.auto_quality_min_font_size

    Possible values and their effects

    A non-negative integer, specifying device pixels. Text rendered at this size or larger is optimized for display quality rather than display speed. Default is 20.
    Caveats


    • Text in chrome (the UI) is always rendered with the high-quality path.
    • Web pages can override the effects of this preference by specifying the text-rendering CSS property.

    Recommended settings

    To use the highest quality display and legibility settings for all rendered text, set this preference to 0. Conversely, setting this preference to a very high number will cause Mozilla to use the fastest rendering methods for all text.
    http://kb.mozillazine.org/Browser.di..._min_font_size

    As I wanted text to be optimized for display quality I set
    Code:
    browser.display.auto_quality_min_font_size = 0
    Much Much better!

  5. #55
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Firefox3.6 via Firefox Stable Channel Packages ppa

    Firefox3.6 via Firefox Stable Channel Packages ppa

    Gain access to the latest mozillateam/firefox-stable ppa.

    Code:
    sudo add-apt-repository  ppa:mozillateam/firefox-stable
    Now install Firefox as below (or via the Synaptic Package Manager).
    Code:
    sudo apt-get update
    sudo apt-get install firefox
    Note on text quality:
    As I wanted text to be optimized for display quality I set (about:config)
    Code:
    browser.display.auto_quality_min_font_size = 0
    ________________________________________

    Tested successfully details below:

    Reset back to Official Firefox 3.5...
    Code:
    silverwave@blue:~$ apt-cache policy firefox-3.5
    firefox-3.5:
      Installed: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Candidate: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Version table:
     *** 3.5.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
            100 /var/lib/dpkg/status
         3.5.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    silverwave@blue:~$ apt-cache policy firefox
    firefox:
      Installed: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Candidate: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Version table:
     *** 3.5.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
            100 /var/lib/dpkg/status
         3.5.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    silverwave@blue:~$ apt-cache policy xulrunner-1.9
    xulrunner-1.9:
      Installed: (none)
      Candidate: (none)
      Version table:
    silverwave@blue:~$ apt-cache policy xulrunner-1.9.1
    xulrunner-1.9.1:
      Installed: 1.9.1.7+nobinonly-0ubuntu0.9.10.1
      Candidate: 1.9.1.7+nobinonly-0ubuntu0.9.10.1
      Version table:
     *** 1.9.1.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
            100 /var/lib/dpkg/status
         1.9.1.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    Added ppa...
    Code:
    silverwave@blue:~$ sudo add-apt-repository ppa:mozillateam/firefox-stable
    Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 0AB215679C571D1C8325275B9BDB3D89CE49EC21
    gpg: requesting key CE49EC21 from hkp server keyserver.ubuntu.com
    gpg: key CE49EC21: public key "Launchpad PPA for Mozilla Team" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    Updated
    Code:
    silverwave@blue:~$ sudo apt-get update
    Hit http://gb.archive.ubuntu.com karmic Release.gpg
    ...
    Get: 1 http://ppa.launchpad.net karmic Release.gpg [307B]                    
    ...       
    Hit http://packages.medibuntu.org karmic/free Packages                      
    Hit http://packages.medibuntu.org karmic/non-free Packages
    Get: 3 http://ppa.launchpad.net karmic/main Packages [4,023B]
    Fetched 70.3kB in 0s (181kB/s)  
    Reading package lists... Done
    Check apt-cache policy firefox...
    Code:
    silverwave@blue:~$ apt-cache policy firefox
    firefox:
      Installed: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Candidate: 3.6+nobinonly-0ubuntu1~mfs~karmic1
      Version table:
         3.6+nobinonly-0ubuntu1~mfs~karmic1 0
            500 http://ppa.launchpad.net karmic/main Packages
     *** 3.5.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
            100 /var/lib/dpkg/status
         3.5.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    sudo apt-get install firefox
    Code:
    silverwave@blue:~$ sudo apt-get install firefox
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      firefox-branding
    Suggested packages:
      firefox-gnome-support
    The following packages will be REMOVED
      firefox-3.5 firefox-3.5-branding
    The following NEW packages will be installed
      firefox-branding
    The following packages will be upgraded:
      firefox
    1 upgraded, 1 newly installed, 2 to remove and 0 not upgraded.
    Need to get 12.0MB/12.2MB of archives.
    After this operation, 31.9MB of additional disk space will be used.
    Do you want to continue [Y/n]? 
    Get: 1 http://ppa.launchpad.net karmic/main firefox 3.6+nobinonly-0ubuntu1~mfs~karmic1 [12.0MB]
    Fetched 9,523kB in 17s (552kB/s)                                                                                                                                                                              
    dpkg: firefox-3.5-branding: dependency problems, but removing anyway as you requested:
     firefox-3.5 depends on firefox-3.5-branding | abrowser-3.5-branding; however:
      Package firefox-3.5-branding is to be removed.
      Package abrowser-3.5-branding is not installed.
     firefox depends on firefox-3.5-branding.
    (Reading database ... 194871 files and directories currently installed.)
    Removing firefox-3.5-branding ...
    Processing triggers for desktop-file-utils ...
    Selecting previously deselected package firefox-branding.
    (Reading database ... 194853 files and directories currently installed.)
    Unpacking firefox-branding (from .../firefox-branding_3.6+nobinonly-0ubuntu1~mfs~karmic1_amd64.deb) ...
    Processing triggers for desktop-file-utils ...
    dpkg: firefox-3.5: dependency problems, but removing anyway as you requested:
     firefox depends on firefox-3.5.
    (Reading database ... 194871 files and directories currently installed.)
    Removing firefox-3.5 ...
    Processing triggers for menu ...
    (Reading database ... 194782 files and directories currently installed.)
    Preparing to replace firefox 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox_3.6+nobinonly-0ubuntu1~mfs~karmic1_amd64.deb) ...
    Unpacking replacement firefox ...
    Processing triggers for menu ...
    Setting up firefox-branding (3.6+nobinonly-0ubuntu1~mfs~karmic1) ...
    Setting up firefox (3.6+nobinonly-0ubuntu1~mfs~karmic1) ...
    Installing new version of config file /etc/apparmor.d/usr.bin.firefox ...
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox
    Please restart all running instances of firefox, or you will experience problems.
    
    Processing triggers for menu ...
    All working OK
    Last edited by SilverWave; January 29th, 2010 at 08:22 PM. Reason: added test install results

  6. #56
    Join Date
    Apr 2005
    Beans
    1,371

    Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    I am having this problem with opening files from links after updating firefox from the stable repo:

    Code:
    /tmp/22-9-3.doc could not be opened, because the associated helper application does not exist. Change the association in your preferences.
    Does anyone know anything about it?

    I have rolled the update back and the error is gone. I wonder if it is a bug in firefox or something else?
    Last edited by foxy123; January 31st, 2010 at 09:58 PM.
    ASUS K53S Ubuntu 15.10 64-bit
    ASUS 1015PX Netbook Lubuntu 14.10
    Two Dell laptops with 14.04

  7. #57
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,449
    Distro
    Ubuntu Development Release

    Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    Quote Originally Posted by foxy123 View Post
    I am having this problem with opening files from links after updating firefox from the stable repo:

    Code:
    /tmp/22-9-3.doc could not be opened, because the associated helper application does not exist. Change the association in your preferences.
    Does anyone know anything about it?
    Associate .doc with OO in FF.

  8. #58
    Join Date
    Apr 2005
    Beans
    1,371

    Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    Quote Originally Posted by zika View Post
    Associate .doc with OO in FF.
    it is actually associated there. When I click on a link to a doc file I am presented with a choice: either to open it with OpenOffice Writer (default) or save on disk. If I choose the first, I've got the aforementioned error.
    ASUS K53S Ubuntu 15.10 64-bit
    ASUS 1015PX Netbook Lubuntu 14.10
    Two Dell laptops with 14.04

  9. #59
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    Quote Originally Posted by foxy123 View Post
    it is actually associated there. When I click on a link to a doc file I am presented with a choice: either to open it with OpenOffice Writer (default) or save on disk. If I choose the first, I've got the aforementioned error.
    I am running 3.6 from stable:
    Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2) Gecko/20100123 Ubuntu/9.10 (karmic) Firefox/3.6 - Build ID: 20100123214900
    I am not experiencing the issue you have reported.
    I clicked on a gmail attachment a .doc and was presented with the same options as yourself.
    Choosing OOO worked fine for me.

    I would be tempted to try again. If the same issue presents then I would recommend creating a new profile and test again.

    [EDIT]Just a thought... ensure that you close firefox before updating to 3.6.
    Last edited by SilverWave; February 1st, 2010 at 12:44 AM. Reason: new profile?

  10. #60
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Firefox-3.7 Alpha2 available via UMD

    FF3.7 Alpha 2!

    firefox-3.7 - 3.7~a2~hg20100206r37933+nobinonly-0ubuntu1~umd1~karmic (changes file) fta 8 hours ago Published Karmic Web Publishing details


    • Published 8 hours ago

    Changelog

    firefox-3.7 (3.7~a2~hg20100206r37933+nobinonly-0ubuntu1~umd1~karmic) karmic; urgency=low

    [ Fabien Tassin ]
    * Mass update from 3.6 to 3.7
    * Drop libnkgnomevfs.so from firefox-3.7-gnome-support, it's already
    shippped in xulrunner-1.9.3-gnome-support (see bmo #512671)
    - update debian/firefox-3.7-gnome-support.install
    * Target the 'default' branch instead of tip
    - add debian/moz-rev.sh
    - update debian/mozclient/firefox-3.7.conf

    [ Micah Gersten ]
    * Add mesa-common-dev to build-depends after landing of configure test aka
    (bmo: 517566) which is for WebGL aka (bmo: 516213)
    - update debian/control
    * Refresh patch/install files after landing of (bmo: 507073) aka
    Don't build nsBrowserDirectoryProvider as a separate library
    - update debian/firefox-3.7.install
    - update debian/patches/bz515232_att399338_distro_locale_searchplugins.pat ch
    * Drop unnecessary patch to block updates since we disable updates in
    debian/rules
    - drop debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series

    [ Jamie Strandboge ]
    * add AppArmor profile (disabled by default)
    - debian/firefox-3.7.dirs: add etc/apparmor.d/disable
    - add debian/firefox-3.7.preinst.in: disable the profile on new installs,
    installs on Ubuntu 9.04 and earlier (requires abstractions only found
    in 9.10 and higher), installs where the last modified profile is
    disabled and upgrades to this version
    - debian/firefox-3.7.postinst.in: reload profile
    - add debian/firefox-3.7.postrm.in: cleanup force-complain and disable
    directories
    - add debian/usr.bin.firefox.apparmor.in
    - add debian/README.Debian.in with note about AppArmor
    - debian/apport/firefox-3.7.py: add AppArmor information if the profile is
    not disabled
    - debian/rules: install profile and update subst_files
    - debian/control: have firefox-3.7 Depends on lsb-release (needed in
    preinst)

    [ Benjamin Drung <email address hidden> ]
    * Add metadata for mozilla-devscripts
    - update debian/control

    [ Fabien Tassin ]
    -- Fabien Tassin <email address hidden> Sat, 06 Feb 2010 05:00:55 +0100 Available diffs


    • 3.7~a1~hg20100205r37915+nobinonly-0ubuntu1~umd1~karmic to 3.7~a2~hg20100206r37933+nobinonly-0ubuntu1~umd1~karmic (pending)
    Last edited by SilverWave; February 6th, 2010 at 01:51 PM.

Page 6 of 72 FirstFirst ... 456781656 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •